<?php

namespace Modules\ProjetAchat\Rules;

use Psr\Http\Message\ServerRequestInterface;

class CreationTableOperation
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function creation(): bool
    {
        return $this->main->creatEditAccess();
    }

    public function validation(): bool
    {
        return $this->main->creatEditAccess();
    }
}
